import apiClient from "./apiClient";

export const registerUser = async (data) => {
  const response = await apiClient.post("/users/register", data);
  return response.data;
};

export const loginUser = async (data) => {
  const response = await apiClient.post("/users/login", data);
  return response.data;
};

export const logoutUser = async () => {
  const response = await apiClient.post("/users/logout");
  return response.data;
};

export const getSession = async () => {
  const response = await apiClient.get("/users/session");
  return response.data;
};

export const recoverPassword = async (data) => {
  const response = await apiClient.post("/users/recover-password", data);
  return response.data;
};
